> ## Name

> cgGetAnnotationType - get an annotation's type

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtype cgGetAnnotationType( CGannotation ann );

> ## Parameters

> ann
>   The annotation from which to get the type.

> ## Return Values

> Returns the type enumerant of ann.

> Returns CG_UNKNOWN_TYPE if an error occurs.

> ## Description

> cgGetAnnotationType allows the application to retrieve the type of an annotation in a Cg effect.

> cgGetAnnotationType will return CG_STRUCT if the annotation is a struct and CG_ARRAY if the annotation is an array. Otherwise it will return the data type associated with the annotation.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> ## History

> cgGetAnnotationType was introduced in Cg 1.4.

> ## See Also

> cgGetType, cgGetTypeString